About PromtX

PromtX is a program from @PROMT Family. This is a simplified editor-translator with the capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


What's new in the program

The current version of the program includes several new functions and features which allow to quicker and easier configure translation of different texts, and make the work with the program more comfortable and effective.

  1. The opportunity of intercepting the keyboard input in any Windows application and synchronous translation of the typed text is implemented.
  2. The opportunity of working with RTF documents is implemented.
  3. The opportunity of opening and translating documents in DOC and HTML formats is implemented (provided converters are available).
  4. The opportunity of automatic translation of Clipboard is implemented.
  5. The opportunity of attaching the OCR program and running it from within PromtX is implemented.
  6. The opportunity of using the Microsoft Agent technology to speak the selected text is implemented.


How to work with the program

The main program window is a two-window editor, which allows you to simultaneously view and edit both the source text (in the upper window), and the translated text (in the lower window). The toolbar buttons contain main menu commands.

To quickly translate the text, do the following:

  1. Customize the main program options.
  2. In the upper program window type in the text that you would like to translate, or insert the text previously copied into Clipboard, or open a document with the source text.
  3. Specify from what source language into what target language you need to translate the text. The current direction of translation is displayed on the indicator located in the status bar.
  4. Select the suitable topic template The current topic template is displayed on the indicator located in the status bar.
  5. Click the button [image]. In the lower part of the window the translated text will appear.
  6. Edit either the source or the translated text, if necessary.
  7. Save the results of translation.

In the subsequent topics you will know how to efficiently use other translation modes, customize the system for translating texts belonging to a specific subject domain, supplement and update the dictionaries, edit document text.


How to customize the program options

To customize the main options of the program, do the following:

  1. Select the Options command from the Tools menu, or click the button [image].
  2. Set required options in the Options dialog box.


How to change the direction of translation

To change the direction of translation, do the following:

  • Select the command Change Direction of Translation and Topic Template from the Translation menu, or click the button [image], or press F10;
  • Or click the arrow [image] to the right of the [image] button;
  • Or right-click the indicator of the current direction of translation in the status bar.


How to select a topic template

To select a topic template for the given direction of translation, do the following:

  • Choose the Select Topic Template command from the Topic menu, or press Alt + F10;
  • Or click the arrow [image] to the right of the [image] button;
  • Or right-click the indicator of the current topic template in the status bar.

You select the topic template, on the basis of which the document topic is created, which inherits all the components of the selected topic template but may be significantly modified during customization.

Remember, if you select a new topic template, the current settings of the document topic will be lost!

If the document topic created on the basis of a topic template was essentially modified during work, it is recommended to save it as a topic template.


How to translate the typed text

How to translate the text

To translate the text typed from the keyboard in the main PromtX program window or copied to it from the Clipboard, do the following:

  1. Select the New command from the File menu, or click the button [image], or press Ctrl + N.
  2. Select the desired direction of translation and topic template.
  3. In the upper part of the program window type in the text or copy the Clipboard contents.
  4. Select the Translate command from the Translation menu, or click the button [image], or press F9. In the lower part of the window the translated text will appear.

The typed text will be automatically translated if you check the Synchronous translation option in the Translation menu.


How to translate the text from an existing file

To open and translate an existing file, do the following:

  1. Select the Open command from the File menu, or click the button [image], or press Ctrl + O. The standard Open dialog box allows you to specify the path to the file, file format and name.
  2. Select the required direction of translation and topic template.
  3. Select the Translate command from the Translation menu, or click the button [image], or press F9. In the lower part of the window the translated text will appear.

If at opening a document the file format was incorrectly identified, close the document and reopen the file, choosing the correct format.


How to translate the contents of Clipboard

The program allows you to translate text directly from the Clipboard, you do not need to preliminarily copy the text to the main program window.

To translate the text from the Clipboard:

  1. Select the desired direction of translation and topic template.
  2. Select the Translate Clipboard command from the Translation menu, or press F11.

The Translate Clipboard command is available if the Clipboard is not empty.


How to enter a new word into the dictionary

How to enter a new word or collocation into the dictionary

To enter a new word or collocation into the dictionary:

  1. Select the Entry command from the Translation menu, or press F8.
  2. In the Open Entry dialog box type the word or collocation which you want to enter into the dictionary. Specify the user dictionary, in which the word will be entered. Select the User's Skill for working with the dictionary. Click OK.
  3. You will see the Entry dialog box containing the source word properties and translations. If this word is missing in any of the available dictionaries, the list of translation equivalents is empty. Otherwise the entry from the first dictionary in the list where it was found will be open. You can look through the translation equivalents assigned to this word in other dictionaries by selecting the dictionaries in the Dictionaries list.
  4. Click the Add or Edit button to enter or edit a translation equivalent. You may also delete a needless translation by clicking Delete.
  5. Click OK to save the entry.

The capability of entering new words or collocations into a dictionary MAY BE UNAVAILABLE in some sets of applications of the translation system.

To get more detailed information on the principles of entering words into the dictionary for the specific direction of translation, click the Help button in each dialog box.


How to preserve a word

To preserve a word or a collocation, do the following:

  1. Select the Preserve Word command from the Translation menu, or press Ctrl + F8.
  2. In the Preserve Word dialog box, type the word which you want to preserve in the Word (Collocation) box.
  3. In the Semantic class drop-down list select the semantic class to which this word belongs.
  4. Check the Transliterate option, if you want the preserved word to be displayed in the translated text with the characters of the target language.
  5. Click OK.

The source language of the preserved words should conform to the source language of the direction of translation.


How to view the list of unknown words

To view the list of unknown words:

  1. Select the Unknown Words command from the Translation menu, or press Alt + F8;

  2. The Unknown Words dialog box will appear containing the list of unknown words. In this dialog box you can do the following:

    • Enter unknown words into the dictionary;

    • Preserve the unknown words;

    • Delete words from the list or delete the entire list;

    • Save the list of unknown words in a file.

To get more detailed information on working with this dialog box, click the Help button.


How to use synchronous translation

To use the capability of getting a translation immediately after the text is typed:

  • Check the Synchronous Translation option in the Translation menu.

You won't need to activate any additional command.


How to activate interception of the text typed from keyboard

The program allows you to intercept the text typed from keyboard in a specific window or in any application window, and simultaneously display the text in the upper part of the PromtX program window.

To activate the interception from keyboard:

  1. Select the Interception of Keyboard Input command from the Translation menu, or click the button [image], or press Alt+F3.
  2. In the Specify the Window dialog box decide, from which window (or from all open windows) the keyboard input will be intercepted.
  3. Now the text typed from keyboard in the specified window will simultaneously appear in the upper part of the PromtX program window.

By default, after the system installation the interception of keyboard input is NOT performed (the button [image] is released). The state between program work sessions is memorized.

The text will be automatically translated if you check the Synchronous Translation option in the Translation menu.


How to save the results of translation

How to save the translation results

To save the text, do the following:
  1. Point the cursor at the window with the text that you want to save (either the source text or translation).
  2. Select the Save As command from the File menu.
  3. Select the format of the file.
  4. Enter the file name and the path to the file.

If you are saving the text not for the first time, select the Save command from the File menu, or click the [image] button, or press Ctrl + S.

Note that you may save only the current text where the cursor is pointed (either the source text or translation).


How to reproduce the speech

The program includes the module TTS (text-to-speech), providing interaction between the program and the module of speech reproduction.

To speak the selected text:

  • Select the Speech -> Speak command from the Tools menu;
  • Or press F5.

To interrupt the process:

  • Select the Speech -> Stop command from the Tools menu.

To use the Microsoft Agent character to speak the text:

  • Select the Speech -> Use Microsoft Agent command from the Tools menu.

To customize parameters of speech:

  • Select the Speech -> Customize command from the Tools menu;
  • Or press Alt + F5.

The module of speech reproduction is not included into the standard installation kit of the system.


How to enter the text using a scanner

If you have ABBYY FineReader or CuneiForm 2000 optical character recognition (OCR) programs installed on your computer, you can launch it directly from the PromtX application. The OCR system will scan the paper document, transform it to computer text and save it in a file. Further you can open this file in the PromtX application for translation.

To enter the text from a paper document using a scanner:

  1. Choose the Attach External Applications command from the Tools menu. On the OCR Programs tab, select the OCR program you are going to use.
  2. Place the document in the scanner.
  3. Select the Run OCR command from the Tools menu or click the [image] button. The program you have selected before, will be launched.
  4. The OCR program will scan and recognize the text.
  5. Save the entered text as a file and then open it in PromtX for translation.

    Usually the OCR programs are not included into the @PROMT Family distribution set and should be purchased separately.


What is a document topic

Document Topic is an object of the certain structure which allows you to easily customize the system to qualitative translation of the document in various subject domains, selecting an optimum combination of its components.

The document topic is being created on the basis of the selected topic template. It inherits all components of the source topic template but may be modified during work.

If the document topic based on a certain topic template was essentially modified during work, it can be saved as a new topic template.

The document topic allows you to customize the system to text translation in the certain subject domain once, so that in future the program would be able to work with the optimal set of dictionaries, preserved words and preprocessors as with a single object, receiving qualitative results at the minimal expenses.


How to create a new topic template

To create a new topic template for the selected direction of translation, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Click the New Template button.
  3. Type the name of the new topic template in the Title box of the New topic template dialog box.
  4. Specify how the new topic template should be created:
    • Empty - the new topic template will be formed, not containing attached dictionaries, preserved words and preprocessors;
    • On the basis of the selected topic template - then the new topic template will be based on the selected topic template.
  5. Click OK. You will see the topic template with the new title in the list of accessible topic templates. Now you can edit the structure of the new topic template.


How to edit a topic template

To edit a topic template for the selected direction of translation, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Select the topic template which you want to edit.
  3. You can edit the selected topic template in the following way:
    • Change the list of dictionaries:
      • To attach or detach any dictionary from the list, check or uncheck the box near the dictionary title;
      • To change the priority of any dictionary (group of dictionaries), click Move Up, Move Down or Move to Top;
      • To change the properties of a user dictionary, click Properties;
        •
      • To create a new user dictionary, click New;

      • To load a user dictionary from a dictionary archive file, click the right Commands button and select Load from dictionary archive;

      • To convert a user dictionary from the user dictionary file of the previous version of the translation system, click the right Commands button and select Convert the dictionary of PROMT 98 version;

      • To save a dictionary in an archive file, click the right Commands button and select Save to dictionary archive;

    • To make the list of preserved words, click the left Commands button and select Preserved words;
    • To make the list of Preprocessors, click the left Commands button and select Preprocessors.

You may drag-n-drop the selected group of dictionaries to move them up or down the list.

The modified topic template is being saved automatically when you close this dialog box.

If a document topic for translating the current document was formed earlier on the basis of the given topic template, then after editing this template you will see the dialog, suggesting to change the current document topic in compliance with the changed topic template.


How to rename a topic template

To rename a topic template for the selected direction of translation, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Select the topic template which you want to rename.
  3. Click the left Commands button and select Rename topic template.
  4. Type the new name of the topic template in the New Title edit box of the Rename topic template dialog box. The old name will be automatically displayed in the appropriate field.
  5. Click OK. You will see the topic template with the new name in the list of available topic templates.

You cannot rename the General topic template.


How to delete a topic template

To delete a topic template (group of templates) for the selected direction of translation, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. In the dialog box select the topic template (group of templates) which you would like to delete.
  3. Click the left Commands button and select Delete topic template.

You cannot delete the General topic template.


How to save a topic template in archive file

Saving the topic template in archive is the process of saving the topic template in an archive file (file with .ADT extension).

To save a topic template (group of templates) in an archive, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Select the topic template (group of templates) that you want to save in an archive file.
  3. Click the left Commands button and select Save to topic template archive.
  4. The standard Save dialog allows you to save the selected topic template in the file of archive.

If the Save user attached dictionaries option is checked in the Save dialog box, then along with the topic template the user dictionaries that are attached to the current template will be saved in the template.

Specialized dictionaries can be loaded or deleted from the system ONLY with the help of the Installation of Dictionaries and Topic Templates application.


How to load a topic template from archive

Loading topic template from archive is the process of adding the topic template from an archive file (file with .ADT extension) into the list of templates accessible for the given direction of translation.

To load the topic template from an archive, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Click the Commands button and select Load from topic template archive
  3. The standard Load dialog allows you to add the topic template into the list of templates accessible for the given direction of translation.

If in course of loading the topic template from an archive the system finds an existing topic template with the same name, an additional dialog appears suggesting to load the topic template with a different name.

If the Load user dictionaries option is checked in the Load dialog box, then along with the topic template the user dictionaries attached to the current template will be loaded.

Specialized dictionaries can be loaded ONLY with the help of the Installation of Dictionaries and Topic Templates application.


How to save the document topic as a topic template

To save a document topic in a certain topic template, do the following:

  1. Select the Save as Topic Template command from the Topic menu, or press Ctrl + F10.
  2. You will see the Save current settings as a topic template dialog box.
  3. Specify the name for the new topic template. You can use the existing name or give a new one to the topic template.
  4. Click the Save button.


General review of dictionaries

@PROMT Family machine translation systems allow to receive high quality of translation due to the possibility to customize them on translation in different subject domains. For this purpose you can attach different dictionaries oriented on specific topics, change their priority, and also supplement and edit your own dictionaries.

The following types of dictionaries may be used in the system:

  • General dictionary
  • Specialized dictionary
  • User dictionary

Dictionaries contain translations for words and collocations and the grammatical information, which is necessary to ensure the accurate translation.

The General and specialized dictionaries CANNOT be opened for editing. However you may open an entry from the General or specialized dictionary, modify it, and then save it in the user dictionary.

See also:

General logic of work with dictionaries

Tips and recommendations


How to create a new dictionary

To create a new user dictionary for the given direction of translation, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Click the New button.
  3. This opens the Dictionary properties dialog box where you can set the following properties:
    • Dictionary title
    • Copyright
    • Comments on the dictionary contents

You can also set a password to protect your dictionary from using on another computer (click the Protection button).


How to delete a dictionary

To delete a user dictionary (group of dictionaries), do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Select the dictionary (group of dictionaries) you want to delete and click the Delete button.
  3. You will see the Deleting the dictionary dialog which will allow you to save the dictionary in an archive file before deleting (file with .ADC extension)

Specialized dictionaries can be deleted from the system ONLY with the help of the Installation of Dictionaries and Topic Templates application.


How to load a dictionary from archive

Loading the dictionary from archive is the process of adding the user dictionary from the file of dictionary archive (file with .ADC extension) into the list of dictionaries accessible for the given direction of translation.

To load a dictionary (group of dictionaries) from an archive, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Click the Commands button and select Load from dictionary archive.
  3. The standard Load dialog allows you to add the user dictionary (group of dictionaries) into the list of dictionaries accessible for the given direction of translation.

If in course of loading a single dictionary from an archive the system finds an existing dictionary with the same name, a warning dialog appears.

If in course of loading a group of dictionaries from an archive the system finds at least one existing dictionary with the same name, a warning dialog appears.


How to convert a dictionary of the previous version

Converting the dictionary is the process of adding a user dictionary created by the PROMT 98 version of the translation system (file with .UDC extension) to the list of accessible dictionaries for the given direction of translation.

To convert the dictionary of the previous version, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Click the Commands button and select Convert the dictionary of PROMT 98 version.
  3. The standard Open dialog allows you to add a user dictionary created by the previous version of the translation system to the list of dictionaries accessible for the given direction of translation.


How to save a dictionary in archive

Saving the dictionary in archive is the process of saving the user dictionary in the file of dictionary archive (file with .ADC extension).

To save a dictionary (group of dictionaries) in an archive, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Select the dictionary (group of dictionaries) that you want to save in an archive file.
  3. Click the Commands button and select Save to dictionary archive.
  4. The standard Save dialog allows you to save the user dictionary in the file of archive.


How to attach or detach a dictionary

During translation the program uses only those dictionaries which are attached for translating the current document.

To attach or detach a dictionary for translating the current document:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Check / uncheck the box near the dictionary title.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.

See also:

Tips and recommendations


How to change the dictionary priority

While translating, the system uses only the dictionaries which are attached to the given document and ordered according to their priority.

To change the dictionary (group of dictionaries) priority:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Select the dictionary (group of dictionaries) whose priority you want to change.
  3. Click the Move Up button, if you want to increase the priority of the dictionary. The selected dictionary will be moved one line higher.
  4. Click the Move Down button, if you want to decrease the priority of the dictionary. The selected dictionary will be moved one line lower.
  5. Click the Move to Top button, if you want to set the maximum priority of the dictionary. The selected dictionary will be moved to the first line in the list.

The order of dictionaries can essentially influence the translation quality. Remember that the program looks through the dictionaries in the list from above downwards and extracts the translation of the word from the first of the dictionaries, in which it was found. The last dictionary the program looks through is the General dictionary.

You may drag-n-drop the selected group of dictionaries to move them up or down in the list.


How to view the dictionary properties

To view the dictionary properties, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Select the dictionary from the list and click the Properties button.
  3. You will see the Dictionary Properties dialog which allows you to view and edit:
    • Dictionary title
    • Copyright
    • Comments on the dictionary contents

You can also set a password to protect your dictionary from using on another computer (click the Protection button).

The program allows you to modify the properties of a user dictionary ONLY. The properties of a specialized dictionary cannot be modified.


How to set a linked dictionary

To set the linked dictionary, do the following:

  1. Open the Dictionaries dialog box for the given direction of translation (see How to open the Dictionaries dialog box).
  2. Click the Commands button and select Linked dictionaries.
  3. You will see the Linked Dictionaries dialog box which allows you to add or remove the link between the dictionaries of the opposite direction of translation:
    • Select the initial dictionary from the list and click the Add Link button - this will allow you to set the linked dictionary for the initial one.
    • Select the initial dictionary from the list and click the Remove Link button - this will allow you to remove the link with the linked dictionary.
    • Click the Remove All Links button to remove all the links with the linked dictionaries.
    4.

The same dictionary may be a linked dictionary for several dictionaries. The opposite is not true, i.e. one dictionary cannot have several linked dictionaries.


What is a preserved word

Preserved word is a word (or collocation) which is marked in the source text as not demanding translation. It is recommended to preserve the proper names, abbreviations, special names which coincide with significant words (for example, Windows 95, Miami Beach, Bill Gates). Preserved words may be displayed in the text of translation in the symbols of the source language or transliterated. In addition you may specify the semantic class to which the given word concerns. That will simplify the analysis of the source text structure.

Lists of preserved words may be included into the topic templates.

When you select a topic template for translating the document, the list of preserved words which is included in this topic template is being automatically attached.

Besides, you may work with the list of preserved words "manually". The program allows:

  • To edit the list of preserved words

  • To save the list of preserved words in a file

  • To load the list of preserved words from a file

If you have created the list of preserved words for translating the current document, and then have chosen another topic template, your list will be replaced by the list of preserved words of this topic template. Exception is for the case when you select the topic template containing the list of preserved words which was not edited earlier.

Save the list of preserved words in a topic template or in a separate file.


How to edit a list of preserved words

To edit a list of preserved words, do the following:
  1. Open the Preserved Words dialog box for the given direction of translation (see How to open the Preserved Words dialog box).
  2. In the Preserved Words dialog box you can do the following:
    • Click Add to add a word into the list of preserved words;
    • Select a word and click Change to change either the word or its properties (semantic class or transliteration function);
    • Select a word and click Delete to delete the word from the list;
    • Click Delete All to delete all words from the list;
    • Click the Commands button and select Load the list to load the list of preserved words from a file;
    • Click the Commands button and select Save the list to save the list of preserved words in a file.

The source language of the preserved words should correspond to the source language of the direction of translation.

The list of preserved words included into the topic template will be automatically saved with the edited topic template.


How to save a list of preserved words

To save a list of preserved words, do the following:
  1. Open the Preserved Words dialog box for the given direction of translation (see How to open the Preserved Words dialog box).
  2. Click the Commands button and select Save the list.
  3. In the open Save As dialog box specify the file format (WWT, Text, MS-DOS Text). Enter the file name and the path to the file.

If you save the list of preserved words in a WWT-format file, such attributes as semantic class and transliteration will be saved, but you will be able to look through this list only when loading it in the PROMT application.

If you save this list as a text file, you will be able to look through this list in any text editor, but the information about semantic class and transliteration will be lost.


How to load a list of preserved words

To load a list of preserved words which was saved in a separate file, do the following:
  1. Open the Preserved Words dialog box for the given direction of translation (see How to open the Preserved Words dialog box).
  2. Click the Commands button and select Load the list.
  3. In the Open dialog box specify the file format (WWT, Text, MS-DOS Text), file name and the path to the file with the list of preserved words.

Don't forget to specify, whether you want the loading file to be appended to the current list of the active document or to substitute it.

You can load from the file the list of preserved words which corresponds to the source language of the direction of translation.


What is a preprocessor

Preprocessor is a set of functions which are intended for preliminary processing of the source text with the purpose of selecting some constructions and leaving them without translation.

Using preprocessor allows the program to exclude some constructions from the process of translation and leave them either unchanged or transformed according to the rules of the output language.

The following constructions can be processed by the standard preprocessor:

  • E-mail addresses
  • Uniform Resource Locator (URL)
  • Names of files and folders
  • Dates
  • Time
  • The constructions which do not demand translation

In some cases the listed constructions are incorrectly interpreted by the program of translation and without use of a preprocessor may be exposed to unnecessary updating.

Besides, the preprocessor may process dates and time. You may set some templates for transformation of dates and time.


How a preprocessor works

Preprocessor works as follows:

  1. Before the program starts the translation, the preprocessor receives the next portion of text, distinguishes certain constructions in it, remembers them, and replaces with unique labels.
  2. Then the text is being translated, the labels remain unchanged. The labels contain the attributes reflecting the linguistic role of the given construction in the text. This allows the program to process them correctly by the module of translation.
  3. The translated text is again being transferred to the preprocessor, which replaces the labels with the remembered constructions, probably transformed according to the rules of the output language, and corrects the formatting information.


How to attach a preprocessor

To attach a preprocessor, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Click the left Commands button and select Preprocessors. You will see the full list of preprocessors which may be used.
  3. Check the box near the title of the preprocessor which you want to attach.

To get more detailed information about new preprocessors and their customization, contact the Technical Support Service of the PROMT company.


How to customize a preprocessor

To customize a preprocessor, do the following:

  1. Open the Topic templates dialog box for the given direction of tranlsation (see How to open the Topic templates dialog box).
  2. Click the left Commands button and select Preprocessors. You will see the full list of preprocessors which may be used.
  3. Select the preprocessor you want to customize. If this preprocessor is not attached yet, the program will suggest to attach it now.
  4. Click the Customize button.
  5. In the Customize Preprocessor dialog box check the preprocessor options which you want to use.
  6. Click OK.

To get more detailed information about new preprocessors and their customization, contact the Technical Support Service of the PROMT company.


"New" command

"New" command ("File" menu)

Button:

Shortcut key: Ctrl+N

Creates a new document. You can type the text you want to translate in the blank document window.


"Open" command

"Open" command ("File" menu)

Button:

Shortcut key: Ctrl+O

Opens a file containing the source text to be translated.


"Save" command

"Save" command ("File" menu)

Button:

Shortcut key: Ctrl + S

Saves the active document as a file.

If you are saving the document for the first time, the Save As dialog will appear. You can define the filename and the path of the saved file.

If the cursor is located in the source text, the source text will be saved. If the cursor is located in the translation text, the translation text will be saved.


"Save As" command

"Save As" command ("File" menu)

Allows you to save the active document as a file with a new name.

After the command is selected, the Save As dialog will appear. You can define the filename, the path to the saved file and the file format.

If the cursor is located in the source text, the source text will be saved. If the cursor is located in the translation text, the translation text will be saved.


"Exit" command

"Exit" command ("File" menu)

Completes working with the application.


"Undo" command

"Undo" command ("Edit" menu)

Shortcut key: Ctrl+Z

Undoes the last editing action (if applicable). Editing actions include typing, pasting or inserting, deleting or formatting the document text.


"Cut" command

"Cut" command ("Edit" menu)

Button:

Shortcut key: Ctrl+X

Moves the selected fragment to the Clipboard. The command becomes available when you select a text.


"Copy" command

"Copy" command ("Edit" menu)

Button:

Shortcut key: Ctrl+C

Copies the selected fragment to the Clipboard. The command becomes available when you select a text.


"Paste" command

"Paste" command ("Edit" menu)

Button:

Shortcut key: Ctrl+V

Inserts the Clipboard contents at the insertion point. This command is unavailable if the Clipboard is empty.


"Select All" command

"Select All" command ("Edit" menu)

Shortcut key: Ctrl+A

Selects the entire current section of the document (the source text or the translation). The current section is where the cursor is placed.


"Clear All" command

"Clear All" command ("Edit" menu)

Button:

Erases everything on the screen.


"Find" command

"Find" command ("Edit" menu)

Shortcut key: Ctrl+F

Allows you to search for a word or a phrase inside the document.


"Find Next" command

"Find Next" command ("Edit" menu)

Shortcut key: F3

Searches for the next match to the Find string.


"Replace" command

"Replace" command ("Edit" menu)

Shortcut key: Ctrl+H

Replaces a certain text fragment in the document.


"Font" command

"Font" command ("Edit" menu)

Allows you to change the font, the typeface (bold, italic etc.) or the font size for the selected text. If this command is selected without selecting any text, the font settings will be applied to the next symbols typed from the current cursor position.


"Source Text" command

"Source Text" command ("View" menu)

Shortcut key: Ctrl+F1

Moves the cursor to the upper part of the window.


"Translated Text" command

"Translated Text" command ("View" menu)

Shortcut key: Ctrl+F2

Moves the cursor to the lower part of the window.


"Always on top" command

"Always on top" command ("View" menu)

Button:

Puts the main PromtX window on top of all windows of other applications.


"Toolbar" command

"Toolbar" command ("View" menu)

Displays or hides the toolbar.


"Status Bar" command

"Status Bar" command ("View" menu)

Displays or hides the status bar.


"Document Dictionaries" command

"Document Dictionaries" command ("Topic" menu)

Shortcut key: Ctrl+Shift+D

Allows you to work with the dictionaries list for translating the current document.

Use this command to make the dictionaries list different from the list included in the topic template.


"Document Preserved Words" command

"Document Preserved Words" command ("Topic" menu)

Shortcut key: Ctrl+Shift+W

Allows you to view and edit the list of preserved words for the translation of the current document.

Use this command to make the list of preserved words different from the list included in the topic template.


"Select Topic Template" command

"Select Topic Template" command ("Topic" menu)

Shortcut key: Alt+F10

Allows you to select the topic template which will determine the topic for translating the current document.


"Save as Topic Template" command

"Save as Topic Template" command ("Topic" menu)

Shortcut key: Ctrl+F10

Saves the current document topic as a topic template.


"Edit Topic Templates" command

"Edit Topic Templates" command ("Topic" menu)

Button:

Shortcut key: Ctrl+Shift+F10

Allows you to view and edit the list of topic templates available for the current direction of translation.


"Translate" command

"Translate" command ("Translation" menu)

Button:

Shortcut key: F9

Translates the source text.

This command is available if the window with the source text is not empty.


"Translate Clipboard" command

"Translate Clipboard" command ("Translation" menu)

Shortcut key: F11

Translates the Clipboard contents.

This command is available if the Clipboard is not empty.


"Change Direction of Translation and Topic Template" command

"Change Direction of Translation and Topic Template" command ("Translation" menu)

Button:

Shortcut key: F10

Changes the direction of translation and the topic template of the current document.


"Entry" command

"Entry" command ("Translation" menu)

Shortcut key: F8

Allows you to create a new entry (word/collocation) or edit an existing entry in the user dictionary.


"Preserve Word" command

"Preserve Word" command ("Translation" menu)

Shortcut key: Ctrl+F8

Allows you to preserve a word or a collocation.


"Unknown Words" command

"Unknown Words" command ("Translation" menu)

Shortcut key: Alt+F8

Allows you to work with the list of unknown words, which is created after the translation is done. The program allows you to make dictionary entries for the unknown words, preserve the unknown words or save the list of unknown words in a file.


"Synchronous Translation" command

"Synchronous Translation" command ("Translation" menu)

Allows to get a translation immediately after the text is typed.


"Interception of Keyboard Input" command

"Interception of Keyboard Input" command ("Translation" menu)

Button:

Shortcut key: Alt+F3

Specifies the window from which the keyboard input will be intercepted.


"Speak" command

"Speak" command ("Tools" -> "Speech" menu)

Shortcut key: F5

Speaks the selected text.

The command is accessible if a TTS (Text-To-Speech) standard compatible speech program is installed.


"Stop" command

"Stop" command ("Tools" -> "Speech" menu)

Stops speaking of the selected text.

The command is accessible if a TTS (Text-To-Speech) standard compatible speech program is installed.


"Use Microsoft Agent" command

"Use Microsoft Agent" command ("Tools" -> "Speech" menu)

Uses the Microsoft Agent technology to speak the selected text.

If you select this command, the text will be pronounced by the Microsoft Agent character.

The command is accessible if Microsoft Agent Version 2.0 speech engine is installed.


"Customize" command

"Customize" command ("Tools" -> "Speech" menu)

Shortcut key: Alt + F5

Allows you to customize parameters of speech.

The command is accessible if a TTS (Text-To-Speech) standard compatible speech program is installed.


"Run OCR" command

"Run OCR" command ("Tools" menu)

Button::

Allows you to use an external Optical Character Recognition (OCR) program (e.g. FineReader, CuneiForm) to enter the documents with the scanner.

Usually the OCR programs are not included in the @PROMT Family distribution set and should be purchased separately.

To attach an OCR program to PromtX, select the Attach External Applications command from the Tools menu. In the OCR programs tab you can see the entire list of the OCR programs which can be used from within PromtX.


"Attach External Applications" command

"Attach External Applications" command ("Tools" menu)

Allows you to attach the external Optical Character Recognition (OCR) program to enter the documents with the scanner (e.g. FineReader, CuneiForm) already installed on your computer, which may be used while working in PromtX.

Usually the OCR programs are not included in the @PROMT Family distribution set and should be purchased separately.

The OCR program can be run by selecting the Run OCR command from the Tools menu.


"Options" command

"Options" command ("Tools" menu)

Button:

Allows you to set up various program options.


"Help Topics" command

"Help Topics" command ("Help" menu)

Button:

Shortcut key: F1

Opens the Help system of the program.


"About" command

"About" command ("Help" menu)

Displays some information about the program, such as copyright, version number, etc.


About PROMT Plug-In for Acrobat

PROMT Plug-In for Acrobat is a program from @PROMT Family that extends Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x with the functions of text translation.

PROMT Plug-In for Acrobat is designed for translation of the preliminary selected text omitting its formatting. The translated text can be displayed in a separate translation window.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003 All rights reserved.


About File Translator

File Translator is a program from @PROMT Family intended for quick translation of several files in a batch mode.

Simple and convenient interface allows you to form a queue of files for translation and specify the files for saving the results of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor

Dictionary Editor is an application intended for supplementing and editing the dictionaries of @PROMT Family machine translation systems.

The program allows you to enter a new word or a collocation into the dictionary, view the information about the existing word (collocation) in all the dictionaries of the system, change the grammatical information or the translations.

The program is intended for the users with different level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Editor Pro

Dictionary Editor Pro is a professional version of the Dictionary Editor program, designed for supplementing and editing dictionaries of @PROMT Family machine translation systems.

The program is intended for the users with high level of linguistic knowledge.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Dictionary Services

Dictionary Services is a program designed for professional work with dictionaries of @PROMT Family machine translation systems.

With the help of Dictionary Services you may perform the following actions:

  • Check the correctness of any dictionary;
  • Count the statistics in the dictionary,
  • View and edit the properties of any dictionary or a group of dictionaries,
  • Compare two or more dictionaries,
  • Merge two dictionaries of identical direction of translation.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Electronic Dictionary

PROMT Electronic Dictionary is a program from @PROMT Family, which allows to work with Electronic Dictionary base and gives access to the grammatical and morphological information for each selected word and to numerous translations from the dictionaries constituting the dictionary base.

PROMT Electronic Dictionary supports the following directions of translation:

  • English-Russian and Russian-English
  • French-Russian and Russian-French
  • German-Russian and Russian-German

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT for TRADOS

PROMT for TRADOS (P4T) is a program from @PROMT Family, which integrates the systems of Translation Memory (TM) class (TRADOS) with machine translation systems of @PROMT Family (PROMT).

Using PROMT for TRADOS enables to combine into a single technological chain the following processes of automated translation:

  • Search of conformity between segments of texts and their translations in the selected translation memory database (TRADOS);
  • Exporting segments not found in the selected database into the PROMT system for machine translation;
  • Importing segments translated in PROMT back into the TM for correcting and supplementing the database.

See PROMT and TRADOS intrinsic Helps for full information on these systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Backup

PROMT Backup is an auxiliary program for making a reserve copy of the changeable data and settings of applications included into the machine translation system of @PROMT Family.

Support of the multi-user mode in Windows operating system allows you to save/restore information for all users of the translation system.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About Associated Memory Manager

Associated Memory Manager is a program from @PROMT Family designed for working with Associated Memory (AM) databases.

Using this program you may create, delete and manually edit AM databases for any direction of translation, as well as search for records in the AM databases.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT

PROMT is a program from @PROMT Family which is a professional translation environment and a powerful linguistic editor with a set of convenient facilities for customizing translation.

PROMT is a uniform translation environment, which allows you not only to translate the text, but also to edit the translation and update the dictionaries of all accessible directions of translation. This program allows you to fulfill both simple (quick) and complex (professional) text translation, and also to execute linguistic analysis of translation results which may be used later for improving the quality of translation of other texts of similar topics.

PROMT is a flexible system which can be customized for translating the definite text. For this purpose you can attach specialized dictionaries or create your own user dictionaries. A new convenient means for customizing the system is the possibility of selecting the topic template which allows the program to define automatically which dictionaries should be attached, which words should be left without translation (preserved), and how to work with special constructions (e.g., e-mail addresses, date and time, and so on). Wide opportunities of improving the quality of translation appear due to the use of Associated Memory databases, macros and customizable translation rules.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Pro

PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PromtE

PromtE is a program from @PROMT Family for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SdcMaker

SdcMaker is a program from @PROMT Family intended for creating the installation kits on the basis of user dictionaries and topic templates which can be later used for the distribution of dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About SmarTool

SmarTool is a program from @PROMT Family which embeds the functions of translation into the following applications of Microsoft Office 2000/XP:

  • Word 2000 / XP
  • Excel 2000 / XP
  • PowerPoint 2000 / XP
  • FrontPage 2000 / XP
  • Outlook 2000 / XP

The menu and the toolbar of translation are built into all main applications of Microsoft Office 2000 / XP, that allows you to receive translation of the open document directly in these applications.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About TDSetup

TDSetup is a program from @PROMT Family designed for installation and deinstallation of specialized dictionaries and topic templates.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


About PROMT Terminology Manager (PROMT TerM)

PROMT Terminology Manager (PROMT TerM) is a program from @PROMT Family intended for automating the processes of extracting and processing the terminology.

PROMT TerM allows you to do the following:

  • Reduce the amount of manually processed terminology;

  • Use more accurate, logical and unified terminology;

  • Organize the processing of new terminology by integrating with the @PROMT Family (PROMT) machine translation system and TRADOS / TRANSIT Translation Memory systems.

See Web-site of "PROMT" company for detailed information about the "PROMT" company - the author and developer of @PROMT Family machine translation systems, - and its software products.

Copyright © PROMT Ltd., 2003. All rights reserved.


Associated Memory

Associated Memory (AM) in the @PROMT Family machine translation systems is a simplified system of Translation Memory class, embedded in the translation system. AM is intended for remembering repeated text segments along with their translation for subsequent using them while translating in the PROMT application.

The Associated Memory in the @PROMT Family system has a number of simplifications in comparison with full-function Translation Memory systems:

  • Simplified algorithm of segments selection (the segments are separated by punctuation marks);
  • Simplified algorithm of a segment search in the database (only 100% coincidence is searched for);
  • No terminology manager is used.

You may work with Associated Memory in two programs of @PROMT Family system:

  1. Associated Memory Manager

  2. PROMT.


Attached dictionaries

Attached dictionaries are those dictionaries accessible for the given direction of translation which are used during document translation. You can see the list of accessible dictionaries in the Dictionaries dialog box. The dictionaries which are attached for translation of the given document are marked with [image], and the order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title. During translation process, the program searches for a translation equivalent in these dictionaries in the order in which they appear in the list. The last dictionary to search in is the General dictionary.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.


Associated Memory database

Associated Memory (AM) database in the @PROMT Family machine translation systems is the database containing separate text fragments along with the corresponding translations of these fragments. In the process of translation the program automatically compares the source text with text fragments from the AM databases which are currently attached to the translation. In case of full coincidence the fragment translation is being taken from the AM database.

You can get the translations from the AM databases ONLY while working in the PROMT application.


Electronic Dictionary base

Electronic Dictionary (ED) base is the database containing the information from the dictionaries of the @PROMT Family machine translation systems intended for working in the PROMT Electronic Dictionary application.

The General base, installed together with the system, and the user ED bases, which may be created by the users, are supported by the system.

The General base contains the information from the General and specialized dictionaries of the appropriate directions of translation developed in the PROMT company. During work the General base can be supplemented by the information from the user dictionaries.

After the installation only the General base is accessible in the system.


Clipboard

Clipboard is a place for temporal storage of text, graphic and other information. The Clipboard is used to copy and move data between documents or inside one document.


Word collocation

Word collocation (or simply collocation, or word combination, or phrase, or expression) is a combination of significant words (with syntactic words or without them), which serve for expressing a single conception or notion (for example, "program of machine translation").


"Specify the Window" dialog box

This dialog box allows you to specify the window from which the keyboard input will be intercepted by dragging the Pointer button [image] on it

The All windows option activates the interception of keyboard input from all open windows.


"Options" dialog box

This dialog box allows to change some program options.

General options:

Option | If this options is checked, then...
Don't save the changed text | The program will not ask for your confirmation for saving the document when the source text is changed.
Translate without saving the formatting | The translation will be a non-formatted text document.
Minimize to SysTray | When you click the minimization button, the main program window will be minimized to System Tray next to the clock (or otherwise, to the taskbar).
Automatically translate after changing direction of translation | The program will automatically translate the window contents when the direction of translation is changed.
Automatically translate after changing topic template | The program will automatically translate the window contents when the topic template is changed.

Clipboard options:

Option | If this options is checked, then...
Automatically translate the changed Clipboard | The program will automatically translate the contents of the Clipboard when it is changed.
Automatically determine the direction of translation | The program will automatically determine the direction of translation before translating any text from the Clipboard.
Switch on the mode of accumulating the text | New text from the Clipboard will be added to the old one in the document window, but will not replace it.


Ending

Ending in the machine translation systems is the whole changeable part of a word, i.e. the part of the word which changes at its declination or conjugation (e.g. 'finish', 'finishED', 'finishING', etc.).


Dictionary Entry

Dictionary entry (or simply entry) in the machine translation systems is an element of the dictionary which correlates the information about the source word or collocation with its translation. A dictionary entry consists of:

  • Headword
  • Grammatical information
  • Translation equivalents

See also:

Example of an entry


Example of an entry

Let's consider an example of an entry of the word 'finish' in the English-Russian dictionary. The word 'finish' relates to several parts of speech and has its own translations for each of them:

Headword | Grammatical information | Translations
'finish' | Noun | 'конец'
 | Verb, Infinitive | 'заканчивать'

For displaying and editing the dictionary entry there is the Entry dialog.


General dictionary

General dictionary is the main dictionary of the machine translation system, which contains common lexicon for the certain direction of translation. Each direction of translation has its own General dictionary which is delivered with the system. The General dictionary is always attached during translation.

General dictionary is closed to the users, i.e. it can't be modified. But you can open an entry from the General dictionary, modify it and then store in your own user dictionary.


Government

Government in the machine translation systems is a subordination of word, collocation or phrase with/without a preposition (conjunction) to the main word. The government may be of the following types:

  • Prepositional Government - for example, to equip WITH
  • Non-prepositional Government - for example, to become a worker; to write a book
  • Government of the Infinitive or Gerund - for example, an opportunity to work, an opportunity of working
  • Government of the Subordinate Clause - for example, to speak, that


How to open the "Dictionaries" dialog box

To open the "Dictionaries" dialog box for the given direction of translation, do the following:

  • Select the Document Dictionaries command from the Topic menu;
  • Or press Ctrl + Shift + D.


How to open the "Preserved Words" dialog box

To open the "Preserved Words" dialog box for the given direction of translation, do the following:

  • Select the Document Preserved Words command from the Topic menu, or click Ctrl + Shift + W;
  • Or select the Edit Topic Templates command from the Topic menu (or click the button [image], or press Ctrl + Shift + F10), then click the left Commands button and select Preserved Words.


How to open the "Topic Templates" dialog box

To open the "Topic Templates" dialog box for the given direction of translation, do the following:

  • Select the Edit Topic Templates command from the Topic menu;
  • Or click the button [image];
  • Or press Ctrl + Shift + F10.


Inflexion Type

Inflexion Type is a set of all the word forms of a certain word.


Headword

Headword in the dictionaries of the machine translation systems is a stem or a word form of a source word or a stem/word form of a collocation in the source language as the forming element of the dictionary entry.


Keywords

Keywords in the @PROMT Family machine translation systems are the words and word collocations typical for the specific topic. The lists of keywords created for definite topic templates allow the program to automatically determine the appropriate topic template for document translation, proceeding from the maximum amount of listed words which were found in the document.

The opportunity of creating and editing the lists of keywords is available NOT in all applications of the translation system.


Macro

Macro (or script) is a program written on one of script languages which uses an object model provided by the given application for customizing and extending its functionality.

The opportunity of attaching a macro may be unavailable in some applications of the translation system.

For detailed information on macros see prmtdom.chm help file residing in the Program Files/PRMT6/PRMT/Macros directory on the disk where operating system is installed.


General logic of work with dictionaries

The general logic of work with dictionaries is based on the main principle of the new translation kernel: a dictionary in the system is an object with its properties.

You can fulfill the following operations with the dictionary-object:

  • Create a new user dictionary-object;
  • Delete a user dictionary-object;
  • Save a user dictionary-object in a file of dictionary archive (a file with .ADC extension);
  • Load a user dictionary-object from a file of dictionary archive (a file with .ADC extension);
  • Convert a user dictionary-object from a file of a user dictionary created in the previous version of system (a file with .UDC extension).

The dictionary-object may be created in the following ways:

  • By standard creating a new user dictionary;
  • By loading:
    • From the file of dictionary archive (a file with .ADC extension);
    • From the file of the user dictionary created in the previous version of system (a file with .UDC extension);

  • By installation of specialized dictionaries.

The main differences of work with dictionaries from PROMT® 98 and earlier versions:

  1. If you loaded the dictionary from the file of dictionary archive, all changes made in dictionary-object will not be reflected in the file of dictionary archive until you execute the Save in dictionary archive command.
  2. If you loaded the user dictionary created in the previous versions of system (the file with .UDC extension), it was converted into the new format. You can save the changed dictionary in the file of dictionary archive (a file with .ADC extension), but it will be impossible to use this file in PROMT®98 or earlier versions.
  3. If you want to delete the user dictionary-object from the system, you have the opportunity to save it previously in a file of dictionary archive.
  4. The dictionaries are not attached to the system as files (as it was in PROMT®98 or earlier versions), the dictionaries-objects exist only inside the system. You can save the dictionary in the file of dictionary archive (a file with .ADC extension) and load it again from this archive into the system, but during the work with the dictionary no physical links between the dictionary in the system and the file of dictionary archive exist!


Linked dictionary

Linked dictionary (sometimes is also called pair dictionary) in the @PROMT Family machine translation systems is the dictionary of the reverse direction of translation (for example, for the Russian-English dictionary it is the English-Russian dictionary), linked with the initial dictionary with the purpose of simultaneous updating and correction.

When you add a word or a collocation in the initial dictionary, a new entry is being automatically created in the linked dictionary, the headword of which is the translation equivalent of the source word. Several entries are being created if there are several translation equivalents. The necessary grammatical information is being formed on the basis of rules for the given language pair.

If you update the linked dictionary the initial dictionary is not modified.

The same dictionary may be a linked dictionary for several dictionaries.

The opposite is not true, i.e. one dictionary cannot have several linked dictionaries.


Preprocessor

Preprocessor in the @PROMT Family machine translation systems is a procedure of preliminary processing of the source text, which is transferred to the kernel of translation, and the associated procedure of further processing of the results of translation before returning it to the client-application. See also standard preprocessor.


Preserved word

Preserved word in the @PROMT Family machine translation systems is a word (or collocation) which is marked in the source text as the word which does not require translation. Usually these are proper name, abbreviations and special designations conterminous to significant words (for example, Windows 95, Miami Beach, Bill Gates). These words may be displayed in the text of translation with the symbols of the source language or transliterated. If you specify the semantic class to which this word may concern, it will allow the program to more precisely analyze the sentence's structure and get more adequate translation.


Grammatical information

Grammatical information in the machine translation systems is the description of grammatical categories, relations and semantic characteristics of the source word or collocation in the dictionary entry.


About PROMT company

PROMT company (PROMT Ltd., Russia) is the leading provider of innovative machine translation technologies (MT). It is the acknowledged researcher in the field of natural languages processing. The powerful combination of latest achievements in linguistics and perfection of technological process ensures the high quality of its systems.

The company’s objective is to create the software that can help in overcoming the language barrier. In the recent years the PROMT company has been emphasizing online translation for the Internet, fast expansion of which is limited by the world’s linguistic diversity.

PROMT company is the author of the machine translation systems of the @PROMT Family. These systems provide the full range of translation solutions which are intended to meet the requirements of different groups of users.

For simplification of work in the Internet and for popularization of the modern linguistic methods developed by the company, the PROMT company supports the free-of-charge server of translations (http://www.translate.ru).

@promt is a trademark owned by PROMT Ltd. The name "PROMT" which appears in this program is a textual representation of the @promt trademark. Other brands and product names are trademarks or registered trademarks of their respective owners.

The detailed information about the company and its products can be found out on the Web-site of the PROMT company.

Address: | 61, Vyborgskaya emb., Saint-Petersburg, Russia, 197342
Phone: | +7-(812)-245-16-06
Fax: | +7-(812)-327-44-83
E-mail: | support@promt.ru (Technical Support Service)
 | common@promt.ru (Commercial Department)
WWW: | http://www.e-promt.com/
 | http://www.translate.ru/


PROMT-document

PROMT-document in the @PROMT Family machine translation systems is an object of special structure which includes:

  • The source text;
  • The translated text;
  • The structures which maintain links between the paragraphs of the source text and the translated text;
  • The list of unknown words;
  • The document topic.

PROMT-document can be stored in a file of special format (file with .std extension).

When a document is opened in PROMT, the PROMT-document is being created. A complex structure is being formed, which is different from the source file structure.

If you have not completed the translation and/or editing the document and would like to continue working with it in future, you can save it in the PROMT-document format. Everything including the source text, the translation, the structure of the links between them, the document topic and the list of unknown words, will be saved.

The PROMT-document concept makes the process of editing and translating the texts much more convenient for the user. You can do the following:

  • View and edit both the source text and its translation;
  • Translate the whole text or separate paragraphs;
  • Return to the translated fragments of the source text, edit the text, modify the dictionary entries, preserve separate words and then repeat the translation of the edited fragment.


About @PROMT Family

@PROMT Family is a new generation of machine translation programs, in which the most advanced linguistic technologies of the PROMT company (PROMT Ltd.) are implemented. In the basis of the @PROMT Family products lies the technology of automated translation with the use of Associated Memory databases and specialized linguistic editor. Owing to unique opportunities of linguistic customization, the software products of the @PROMT Family provide high quality of translating documents, e-mail messages and Web-sites.

@PROMT Family set of programs is intended to be used in Windows XP, Windows 2000, Windows NT 4.0 and Windows 98/Me environments.

The programs provide accurate text translation, considering syntactic, morphological and semantic links. They possess the flexible means to easily customize the systems for translating texts in different topics.

@PROMT Family machine translation systems provide full range of solutions for translation and are intended for satisfying the needs of different user groups.

@PROMT Family includes the following main applications:

  • PROMT is a professional translation environment, a powerful text processor with a wide set of functions for customizing the translation;
  • PROMT Pro is a professional version of the PROMT program intended for the users with high level of linguistic qualification;
  • Dictionary Editor is an application for creating and editing user dictionaries;
  • Dictionary Editor Pro is a professional version of the Dictionary Editor program intended for the users with high level of linguistic qualification;
  • PROMT Electronic Dictionary is an electronic dictionary containing the whole dictionary base of the specialized dictionaries developed by the PROMT company;
  • SmarTool is a tool implementing translation functions in the applications of Microsoft Office 2000/XP (Word, Excel, PowerPoint, FrontPage, Outlook);
  • PromtX is a simplified editor-translator with capability of automated translation of Windows Clipboard and the texts typed on the keyboard in any Windows application;
  • File Translator is an application for batch translation of files;
  • PromtE is a module for translation of Web-pages in Microsoft Internet Explorer 5.x/6.x;
  • TDSetup is a program for installation of specialized dictionaries and topic templates;
  • Associated Memory Manager is a manager for Associated Memory databases;
  • PROMT Backup is a program providing creating and restoring archive copies of all user data in the system;
  • PROMT Plug-in for Acrobat is a module implementing functions of translation of PDF documents in Adobe Acrobat 4.x-5.x and Adobe Acrobat Reader 4.x-5.x;
  • Dictionary Services is a set of tools for professional work with dictionaries: getting statistics, comparing, merging dictionaries;
  • SdcMaker is a program for making distribution kits of specialized dictionaries and topic templates;
  • PROMT Terminology Manager is a tool for automating the processes of extracting and managing terminology;
  • PROMT for TRADOS is a tool for integrating the systems of Translation Memory class (TRADOS) with @PROMT Family machine translation systems.

On the basis of @PROMT Family programs the PROMT company produces numerous software products.

For detailed information about each application included into @PROMT Family, see Help system of the given application and the Web-site of the PROMT company.

Copyright © PROMT Ltd., 2003. All rights reserved.


Semantic class

Semantic class is a class of the words which are united by the mutual sense. Semantic characteristic describes the belonging of a notion defined by a word or collocation to one of the categories, for example "Geographical Name", "Document", "Activity", "Quality", etc.


Source word

Source word is a sequence of characters from a blank up to a blank in the source language (for example, in the English-Russian system this word is in English).


Specialized dictionary

Specialized dictionary in the machine translation systems is a dictionary intended for the extension of dictionary database and customizing it for some specific domain. Using the specialized dictionaries you can get more qualitative translation of texts on different topics.

Specialized dictionaries usually are not included into the installation set but may be purchased separately.

Specialized dictionary can't be edited. But you can open an entry from the specialized dictionary, modify it and then save in your own user dictionary.

Specialized dictionaries can be included or removed from the system ONLY by the special Installation of Specialized Dictionaries and Topic Templates program.


Standard preprocessor

Standard preprocessor – is a preprocessor, which allows the program to exclude some constructions from the process of translation and leave them either unchanged or transformed according to the rules of the output language. These may be file names and e-mail addresses, service symbols, date and time constructions and so on.


Stem

Stem in the machine translation systems is the whole unchangeable part of a word without the ending, i.e. the part of the word which remains unchanged at its declination or conjugation (e.g. 'FINISH', 'FINISHed', 'FINISHing', etc.).


Document topic

Document topic in the @PROMT Family machine translation systems is an attribute defining the belonging of the translated text to some subject area. The document topic is being created on the basis of the selected topic template, but may be modified during work.

You may customize the system to qualitative translation of the document, selecting an optimum combination of components of the document topic.


Tips and recommendations

You can customize the system to qualitative translation of the document, selecting an optimum set of dictionaries for the given text.

If you have a large number of dictionaries accessible for the given direction of translation, do not attach them all simultaneously to the system:

  • First, the large number of the attached dictionaries can even worsen the translation quality, as the program can extract translations of words from the dictionaries which do not correspond to the topic of the text.
  • Secondly, the time of translation increases with the large number of the attached dictionaries.

Select the appropriate set of attached dictionaries for each concrete document.

  • During translation of the document it is necessary to attach only those dictionaries, which correspond to the topic of the translated text, the unnecessary dictionaries should be detached.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.

Pay attention to the order of dictionaries in the list of attached dictionaries.

  • Remember, that the program looks through the dictionaries in the list from above downwards and extracts the translation of the word from the first of the dictionary, in which it is found. The last dictionary the program looks through is the General dictionary.


Translation Memory (TM) system

Translation Memory (TM) system is a database that stores all translated sentences (segments) along with their source language equivalents. These language segment pairs are referred to as translation units. The database stores these translation units in an artificial neural network. This neural network provides fast and efficient searching in the database using fuzzy matching techniques. The database itself and its associated neural network are collectively referred to as translation memory.


Topic template

Topic template in the @PROMT Family machine translation systems is an object which includes:

  • The ordered list of attached dictionaries
  • The list of preserved words
  • The ordered list of the attached preprocessors

Besides, the topic template may include the following advanced properties:

  • Keywords
  • Associated Memory databases
  • Macro
  • Translation rules
  • Transliteration of unknown words

The opportunity of editing the advanced properties of topic templates is available NOT in all applications of the translation system.

On the basis of the topic template the document topic is being created, which inherits all components of the source template but may be modified during work.

The concept of the topic template allows you to create complex linguistic settings, and then to operate with them as with a single object, receiving qualitative result with much less expenses. This may considerably simplify the procedure of customizing the system for the translation of the documents in specific subject domain.


About TRADOS

TRADOS is a Translation Memory system (TM), that is a database that stores all translated sentences (segments) along with their source language equivalents. It gives an immediate and flexible access to the earlier translated sentences at three levels: sentence, sentence part and terminological.

TRADOS is a database of words, sentences and text fragments which are frequently used for translation. It allows to translate a sentence once and then use it whenever it is needed. It is embedded into the interface of many text editors (for example, Microsoft Word), and allows to translate directly in the text editor with saving the formatting; text import and export are not required, the database is created in the background mode.

Multiterm is a specialized database program that is particularly helpful in creating, managing, and presenting your terminology, including terminology databases, address databases, and document management systems.

The detailed information about TRADOS and Multiterm can be found out from their own Help-systems.

Copyright © 1992-2000, TRADOS GmbH.


Translation rules

Translation rules in the @PROMT Family machine translation systems is a set of functions allowing you to select the models of translating some language constructions which cannot be ruled by modifying the dictionary information.

The list of translation rules depends on the direction of translation.

For example, for English-Russian direction of translation there are the following translation rules:

  • Translation for the pronoun "you" - you can select the meanings:
    • 'Вы'
    • 'вы'
    • 'ты'
  • Gender for the pronoun "I" - you can select the meanings:
    • Masculine
    • Feminine.

The selected values of the translation rules can be applied to separate paragraphs of the source text or to the whole text and can be saved within the PROMT-document or be included into the topic template.

You can use different values of translation rules during translation ONLY while working in the PROMT application.


Direction of translation

Direction of translation in the machine translation systems is the language pair, which specifies from what source language into what target language the chosen text(s) will be machine-translated.

For example, if the source text is English, and you are going to translate it into Russian, select the English-Russian direction.

Source language - is the language FROM which the text is being translated.

Target language - is the language INTO which the text is being translated.


Translation equivalents

Translation equivalents in the dictionaries of the machine translation systems are all possible variants of translation for the source word or collocation.

Translation equivalents should be entered as word forms (for unchangeable parts of speech), or stems (for changeable parts of speech) and Inflexion type. Inflexion type should be defined for correct coordination of words in the sentence while translating.

If the source word (collocation) relates to several parts of speech, each of them should have its own translation equivalents. But it is not recommended to give more than 2 translation equivalents for each part of speech, for it will make the translation "heavier" (additional variants of translation will be given in brackets).


Transliteration

Transliteration is the representation of the words of one language with the symbols of another language.

For example, during translation from Russian into English the surname 'Иванов' will be displayed in Latin symbols as 'Ivanov'.


Unknown word

Unknown word is a word which was not found during translation in the attached dictionaries of the @PROMT Family machine translation system.


User dictionary

User Dictionary in the machine translation systems is a dictionary which you can create and update yourself. If you want to add new words to the dictionary or modify the existing entries from the General or specialized dictionaries, you can do it in your own user dictionary. The amount of user dictionaries is not limited.

All new and changed entries can be stored ONLY in the user dictionaries!

If you want to use the meanings from your user dictionary during translation, it should be attached and with the highest priority (that means that this dictionary should be placed the first in the list of attached dictionaries).


User's Skill

User’s Skill: Expert/Beginner

User's Skill in the machine translation systems defines the level of your qualification while working with the dictionary entry: Beginner or Expert.

The Beginner mode is intended for less experienced user. You are suggested to enter minimum information into the entry, the major part of it is automatically determined by the program. You are not suggested to view and edit the information about the government of the source word. Besides, the program automatically defines the Inflexion Type of the output Russian nouns and adjectives.

The Expert mode is intended for more experienced user. You are provided with access to all information stored in the dictionary entry. You can enter and edit the information about the government of the source word. Besides, while defining the inflexion type, the program will suggest you to accept its choice, that will reduce the risk of entering the incorrect forms.


What file formats are supported by the system

The source texts may be presented by the files of the following formats:
  • Text files
  • MS-DOS text files
  • Word Document (formats MS Word 95, Word 97, Word 2000)
  • Formatted text (RTF)
  • Hypertext HTML files

The translation texts may be saved in the files of the following formats:
  • Text files
  • Formatted text (RTF)

At opening a file, the program cannot exactly specify text file format:

  • Text
  • Text with line breaks
  • MS-DOS Text
  • MS-DOS Text with line breaks

If at opening a document the format of the opened file was incorrectly identified, close the document and reopen the file after having specified the correct format.

When opening a document, the text formatting is saved: font size and attributes, paragraph indents and justification. The program does not support division to tables and columns.


Word form

Word form is a word in the definite grammatical form.